%define libxrandr %mklibname xrandr 2
Name: libxrandr
Summary:  X RandR Library
Version: 1.3.0
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXrandr-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: x11-proto-devel >= 7.4-16mdv2009.1
BuildRequires: x11-util-macros >= 1.0.1

%description
X RandR Library

#-----------------------------------------------------------

%package -n %{libxrandr}
Summary:  X RandR Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxrandr}
X RandR Library

#-----------------------------------------------------------

%package -n %{libxrandr}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxrandr} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxrandr-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxrandr}-devel
Development files for %{name}

%pre -n %{libxrandr}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxrandr}-devel
%defattr(-,root,root)
%{_libdir}/libXrandr.so
%{_libdir}/libXrandr.la
%{_libdir}/pkgconfig/xrandr.pc
%{_includedir}/X11/extensions/Xrandr.h
%{_mandir}/man3/XRR*.3*
%{_mandir}/man3/Xrandr.3*

#-----------------------------------------------------------

%package -n %{libxrandr}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxrandr}-devel = %{version}
Provides: libxrandr-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxrandr}-static-devel
Static development files for %{name}

%files -n %{libxrandr}-static-devel
%defattr(-,root,root)
%{_libdir}/libXrandr.a

#-----------------------------------------------------------

%prep
%setup -q -n libXrandr-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -n %{libxrandr}
%defattr(-,root,root)
%{_libdir}/libXrandr.so.2
%{_libdir}/libXrandr.so.2.*




%changelog
* Fri Mar 06 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.0-1mdv2009.1
+ Revision: 349899
- New version 1.3.0
- Remove patch 1 (applied upstream)

* Sun Feb 01 2009 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.4-2mdv2009.1
+ Revision: 336203
- Apply upstream fix for bug that is highlighted in latest cmd line RC

* Wed Dec 17 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.4-1mdv2009.1
+ Revision: 315243
- New version: 1.2.99.4

* Sat Dec 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.99.3-1mdv2009.1
+ Revision: 313928
- New version 1.2.99.3

* Tue Dec 02 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.91-1mdv2009.1
+ Revision: 309222
- New version: 1.2.91

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.2.3-1mdv2009.0
+ Revision: 236192
- Update to version 1.2.3

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-4mdv2009.0
+ Revision: 223083
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.
    - Update BuildRequires and rebuild

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-2mdv2008.1
+ Revision: 150869
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.2-1mdv2008.0
+ Revision: 81013
- New upstream release: 1.2.2 (consolidates patch already applied)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension

* Wed Jul 11 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-3mdv2008.0
+ Revision: 51289
- There was one more place where crtc width was being wrongly set as the crtc
  height. Updating patch

* Tue Jul 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-2mdv2008.0
+ Revision: 47575
- Fix a bug on notifying CRTC changes: the width was being set to the height value


* Mon Mar 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 133294
- new version (1.2.1)
- remove dont_use_delete patch: applied upstream

* Wed Feb 28 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-2mdv2007.1
+ Revision: 127210
- Upstream patch to avoid use of C++ reserved words (delete)

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-1mdv2007.1
+ Revision: 126717
- new upstream release: 1.2.0 supporting the version 1.2 of the X RandR extension
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

